--
-- PostgreSQL database dump
--

--
-- Name: classes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE classes (
    id integer,
    type_id integer,
    name character(200),
    cost double precision
);


SET default_with_oids = true;

--
-- Name: geometry_columns; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE geometry_columns (
    f_table_catalog character varying(256) NOT NULL,
    f_table_schema character varying(256) NOT NULL,
    f_table_name character varying(256) NOT NULL,
    f_geometry_column character varying(256) NOT NULL,
    coord_dimension integer NOT NULL,
    srid integer NOT NULL,
    "type" character varying(30) NOT NULL
);


SET default_with_oids = false;

--
-- Name: sydney; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sydney (
    gid integer,
    class_id integer,
    length double precision,
    name character(200),
    x1 double precision,
    y1 double precision,
    x2 double precision,
    y2 double precision,
    reverse_cost double precision,
    "rule" text,
    to_cost double precision,
    source integer,
    target integer,
    the_geom geometry,
    CONSTRAINT enforce_dims_the_geom CHECK ((ndims(the_geom) = 2)),
    CONSTRAINT enforce_geotype_the_geom CHECK (((geometrytype(the_geom) = 'MULTILINESTRING'::text) OR (the_geom IS NULL))),
    CONSTRAINT enforce_srid_the_geom CHECK ((srid(the_geom) = 4326))
);


--
-- Name: types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE types (
    id integer,
    name character(200)
);


--
-- Name: geometry_columns_pk; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY geometry_columns
    ADD CONSTRAINT geometry_columns_pk PRIMARY KEY (f_table_catalog, f_table_schema, f_table_name, f_geometry_column);


--
-- Name: sydney_class; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sydney_class ON sydney USING btree (class_id);


--
-- Name: sydney_geom; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sydney_geom ON sydney USING gist (the_geom);


--
-- Name: sydney_gid; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sydney_gid ON sydney USING btree (gid);


--
-- Name: sydney_source; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sydney_source ON sydney USING btree (source);


--
-- Name: sydney_target; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sydney_target ON sydney USING btree (target);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

